/**
 * XEncounterPerformerParticipation.java
 *
 * File generated from the medication::XEncounterPerformerParticipation uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEncounterPerformerParticipation.
 *
 * 
 */

@XmlType(name = "XEncounterPerformerParticipation")
@XmlEnum
@XmlRootElement(name = "XEncounterPerformerParticipation")
public enum XEncounterPerformerParticipation {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    XEncounterPerformerParticipation(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XEncounterPerformerParticipation fromValue(String v) {
        for (XEncounterPerformerParticipation c: XEncounterPerformerParticipation.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}